%define anolis_release 2

%define debug_package %{nil}
%define product_family Anolis OS
%define base_release_version 7
%define full_release_version 7.7
%define compat_release_version 7
#define beta Beta
%define dist .an%{base_release_version}

Name:           anolis-release
Version:        %{full_release_version}
Release:        %{anolis_release}%{?dist}
Summary:        %{product_family} %{base_release_version} release file
Group:          System Environment/Base
License:        MulanPSLv2

Obsoletes:      rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de comps rpmdb-redhat fedora-release redhat-release centos-release
Provides:       redhat-release = %{full_release_version}
Provides:       centos-release = %{full_release_version}
Provides:       system-release = %{version}-%{release}
Provides:       system-release(releasever) = %{base_release_version}
Requires:       anolis-gpg-keys = %{version}-%{release}
Requires:       anolis-repos >= %{version}-%{release}

Source0:        EULA
Source1:        MulanPSL
Source2:	RPM-GPG-KEY-ANOLIS

Source10:	85-display-manager.preset
Source11:	90-default.preset

Source100:	AnolisOS-os.repo
Source101:	AnolisOS-updates.repo

%description
%{product_family} %{base_release_version} release files

%package -n anolis-repos
Summary:        %{product_family} package repositories
Group:          System Environment/Base
Provides:       anolis-repos(%{base_release_version}) = %{full_release_version}
Requires:       system-release = %{full_release_version}
Requires:       anolis-gpg-keys = %{version}-%{release}

%description -n anolis-repos
%{product_family} package repository files for yum and dnf

%package -n anolis-gpg-keys
Summary:        %{product_family} RPM keys
Group:          System Environment/Base
BuildArch:      noarch

%description -n anolis-gpg-keys
%{product_family} RPM signature keys

%prep
echo OK

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# create /etc/system-release
echo "%{product_family} release %{full_release_version}" > %{buildroot}/etc/%{name}
ln -s %{name} %{buildroot}/etc/system-release
ln -s %{name} %{buildroot}/etc/redhat-release
ln -s %{name} %{buildroot}/etc/centos-release

# create /etc/os-release
cat << EOF >>%{buildroot}/etc/os-release
NAME="%{product_family}"
VERSION="%{full_release_version}"
ID="anolis"
ID_LIKE="rhel fedora centos"
VERSION_ID="%{full_release_version}"
PRETTY_NAME="%{product_family} %{full_release_version}"
ANSI_COLOR="0;31"
HOME_URL="https://openanolis.cn/"
BUG_REPORT_URL="https://bugs.openanolis.cn/"

CENTOS_MANTISBT_PROJECT="CentOS-%{base_release_version}"
CENTOS_MANTISBT_PROJECT_VERSION="%{base_release_version}"
REDHAT_SUPPORT_PRODUCT="centos"
REDHAT_SUPPORT_PRODUCT_VERSION="%{base_release_version}"

EOF

# create /etc/issue and /etc/issue.net
echo '\S' > %{buildroot}/etc/issue
echo 'Kernel \r on an \m' >> %{buildroot}/etc/issue
cp %{buildroot}/etc/issue %{buildroot}/etc/issue.net
echo >> %{buildroot}/etc/issue


# copy GPG keys
mkdir -p -m 755 %{buildroot}/etc/pki/rpm-gpg
install -m 644 %{SOURCE2} %{buildroot}/etc/pki/rpm-gpg

# copy yum repos
mkdir -p -m 755 %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE100} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE101} %{buildroot}/etc/yum.repos.d


# Edit the yum repo url to point to the distro's RPMs repo.
sed -i 's/\$releasever/%{full_release_version}/g' %{buildroot}/etc/yum.repos.d/AnolisOS-os.repo
sed -i 's/\$releasever/%{full_release_version}/g' %{buildroot}/etc/yum.repos.d/AnolisOS-updates.repo

# set up the dist tag macros
install -d -m 755 %{buildroot}/etc/rpm
cat >> %{buildroot}/etc/rpm/macros.dist << EOF
# dist macros.

%%anolis_ver %{base_release_version}
%%anolis     %{base_release_version}
%%anolis%{base_release_version} 1
%%dist %dist
# For compatibility
%%rhel %{compat_release_version}
%%el%{compat_release_version} 1
EOF

# use unbranded datadir
mkdir -p -m 755 %{buildroot}/%{_datadir}/%{name}
install -m 644 %{SOURCE0} %{buildroot}/%{_datadir}/%{name}

# use unbranded docdir
mkdir -p -m 755 %{buildroot}/%{_docdir}/%{name}
install -m 644 %{SOURCE1} %{buildroot}/%{_docdir}/%{name}

# copy systemd presets
mkdir -p %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE10} %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE11} %{buildroot}/%{_prefix}/lib/systemd/system-preset/

%clean
rm -rf %{buildroot}


%files
%defattr(0644,root,root,0755)
/etc/system-release
/etc/redhat-release
/etc/centos-release
/etc/%{name}
%config(noreplace) /etc/os-release
%config(noreplace) /etc/issue
%config(noreplace) /etc/issue.net
%{_prefix}/lib/systemd/system-preset/*
/etc/rpm/macros.dist
%{_docdir}/%{name}
%{_datadir}/%{name}

%files -n anolis-repos
%config(noreplace) /etc/yum.repos.d/*

%files -n anolis-gpg-keys
/etc/pki/rpm-gpg/

%changelog
* Wed Sep 29 2021 Lilinjie <lilinjie@uniontech.com> - 7.7-2
- Update license to MulanPSLv2
- Translate EULA to Chinese

* Tue Aug 24 2021 Liwei Ge <geliwei@openanolis.org> - 7.7-1
- Init version of anolis-release
